%define major	9
%define libname	%mklibname ass %{major}
%define devname	%mklibname ass -d

Summary:	Library for SSA/ASS subtitles rendering
Name:		libass
Version:	0.17.3
Release:	%mkrel 1
License:	ISC
Group:		System/Libraries
URL:		https://github.com/libass/libass/
Source:		https://github.com/%{name}/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(enca)
BuildRequires:	pkgconfig(fontconfig) >= 2.4.2
BuildRequires:	pkgconfig(freetype2) >= 9.10.3
BuildRequires:	pkgconfig(fribidi) >= 0.19.0
BuildRequires:	pkgconfig(harfbuzz) >= 1.2.3
BuildRequires:	pkgconfig(libpng) >= 1.2.0

%description
Libass is a portable library for SSA/ASS subtitles rendering.

%package -n	%{libname}
Summary:	Shared library for SSA/ASS subtitles rendering
Group:		System/Libraries

%description -n	%{libname}
Libass is a portable library for SSA/ASS subtitles rendering.

%package -n	%{devname}
Summary:	Development files for libass development
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	ass-devel = %{version}-%{release}
Provides:	libass-devel = %{version}-%{release}

%description -n	%{devname}
Libass is a portable library for SSA/ASS subtitles rendering.

This package contains the files for developing applications which
will use libass.

%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%{_libdir}/libass.so.%{major}{,.*}

%files -n %{devname}
%doc Changelog COPYING
%{_libdir}/libass.so
%{_includedir}/ass
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Mon Aug 26 2024 mrambo3501 <mrambo3501> 0.17.3-1.mga10
+ Revision: 2091533
- version 0.17.3

* Sun May 07 2023 luigiwalser <luigiwalser> 0.17.1-1.mga9
+ Revision: 1956023
- 0.17.1

* Mon Dec 12 2022 luigiwalser <luigiwalser> 0.17.0-1.mga9
+ Revision: 1921189
- 0.17.0

* Mon Oct 03 2022 neoclust <neoclust> 0.16.0-1.mga9
+ Revision: 1894500
- New version

* Wed Mar 30 2022 umeabot <umeabot> 0.15.2-2.mga9
+ Revision: 1834392
- Mageia 9 Mass Rebuild

* Mon Mar 07 2022 luigiwalser <luigiwalser> 0.15.2-1.mga9
+ Revision: 1789515
- 0.15.2

* Sun Aug 08 2021 luigiwalser <luigiwalser> 0.15.1-1.mga9
+ Revision: 1740209
- 0.15.1

* Tue Nov 17 2020 luigiwalser <luigiwalser> 0.15.0-1.mga8
+ Revision: 1646887
- BR harfbuzz
- 0.15.0

* Thu Feb 13 2020 umeabot <umeabot> 0.14.0-3.mga8
+ Revision: 1513895
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.14.0-2.mga7
+ Revision: 1298758
- Mageia 7 Mass Rebuild

* Wed May 16 2018 daviddavid <daviddavid> 0.14.0-1.mga7
+ Revision: 1229783
- new version: 0.14.0

* Tue Jan 10 2017 luigiwalser <luigiwalser> 0.13.6-1.mga6
+ Revision: 1080857
- 0.13.6
- library major is now 9

* Wed Oct 05 2016 luigiwalser <luigiwalser> 0.13.4-1.mga6
+ Revision: 1058927
- 0.13.4

* Mon May 09 2016 luigiwalser <luigiwalser> 0.13.2-1.mga6
+ Revision: 1011439
- 0.13.2

* Fri Jan 01 2016 luigiwalser <luigiwalser> 0.13.1-1.mga6
+ Revision: 917717
- 0.13.1

* Tue Jan 27 2015 luigiwalser <luigiwalser> 0.12.1-1.mga5
+ Revision: 812470
- 0.12.1

* Thu Nov 20 2014 luigiwalser <luigiwalser> 0.12.0-1.mga5
+ Revision: 797962
- 0.12.0
- update URL

* Wed Oct 15 2014 umeabot <umeabot> 0.11.2-3.mga5
+ Revision: 738987
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.11.2-2.mga5
+ Revision: 681334
- Mageia 5 Mass Rebuild

* Fri May 09 2014 luigiwalser <luigiwalser> 0.11.2-1.mga5
+ Revision: 621606
- 0.11.2

* Wed Mar 12 2014 luigiwalser <luigiwalser> 0.11.1-1.mga5
+ Revision: 602696
- 0.11.1
- update source URL

* Sat Feb 15 2014 luigiwalser <luigiwalser> 0.10.2-1.mga5
+ Revision: 591626
- 0.10.2
- library major is now 5

* Fri Oct 18 2013 umeabot <umeabot> 0.10.1-3.mga4
+ Revision: 506905
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.10.1-2.mga3
+ Revision: 356824
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 luigiwalser <luigiwalser> 0.10.1-1.mga3
+ Revision: 334815
- 0.10.1

* Sun Dec 11 2011 fwang <fwang> 0.10.0-1.mga2
+ Revision: 180735
- new version 0.10.0

* Tue Sep 13 2011 fwang <fwang> 0.9.12-2.mga2
+ Revision: 142874
- drop .la files

* Mon Jul 04 2011 ahmad <ahmad> 0.9.12-1.mga2
+ Revision: 117977
- Update to 0.9.12
- Upstream changed the license to ISC

* Sun Jan 16 2011 anssi <anssi> 0.9.11-3.mga1
+ Revision: 20241
- imported package libass


* Fri Nov 26 2010 Götz Waschk <waschk@mandriva.org> 0.9.11-3mdv2011.0
+ Revision: 601536
- rebuild

* Sat Aug 28 2010 Götz Waschk <waschk@mandriva.org> 0.9.11-2mdv2011.0
+ Revision: 573780
- update URL

* Thu Aug 12 2010 Anssi Hannula <anssi@mandriva.org> 0.9.11-1mdv2011.0
+ Revision: 569175
- new version

* Sat Jul 10 2010 Anssi Hannula <anssi@mandriva.org> 0.9.9-1mdv2011.0
+ Revision: 549973
- initial Mandriva release

